Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.timer
Class DelegatingTimerTask

    java.lang.Object
      java.util.TimerTask
          org.springframework.scheduling.timer.DelegatingTimerTask

All Implemented Interfaces:
  java.lang.Runnable

Deprecated. as of Spring 3.0, in favor of the `scheduling.concurrent` package which is based on Java 5's `java.util.concurrent.ExecutorService`

    @Deprecated
    public class DelegatingTimerTask

extends java.util.TimerTask

Simple `TimerTask` adapter that delegates to a given `Runnable`.

This is often preferable to deriving from TimerTask, to be able to implement an interface rather than extend an abstract base class.

Since:
  1.2.4
Author:
  Juergen Hoeller

Constructor Summary
`DelegatingTimerTask(java.lang.Runnable delegate)` Deprecated. Create a new DelegatingTimerTask.

Method Summary
`java.lang.Runnable` | `getDelegate()` Deprecated. Return the wrapped Runnable implementation.
`void` | `run()` Deprecated. Delegates execution to the underlying Runnable, catching any exception or error thrown in order to continue scheduled execution.

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingTimerTask

    public DelegatingTimerTask(java.lang.Runnable delegate)

  Deprecated.
  Create a new DelegatingTimerTask.

  Parameters:
    `delegate` - the Runnable implementation to delegate to

Method Detail

### getDelegate

    public final java.lang.Runnable getDelegate()

  Deprecated.
  Return the wrapped Runnable implementation.

### run

    public void run()

  Deprecated.
  Delegates execution to the underlying Runnable, catching any exception or error thrown in order to continue scheduled execution.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Specified by:
    `run` in class `java.util.TimerTask`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD